logo
DATABASE RESOURCES PRICING ABOUT US

Simploo CMS Community Edition - Remote PHP Code Execution Issue

Description

Details ============= Product: Simploo CMS Community Edition Security-Risk: moderated Remote-Exploit: yes Vendor-URL: http://www.simploo.de/ Advisory-Status: published Credits ============= Discovered by: David Vieira-Kurz of MajorSecurity Affected Products: ============= Simploo CMS 1.7.1 and prior Description ============= "Simploo CMS is a content management system (CMS)." More Details ============= I have discovered some vulnerabilities in Simploo CMS, which can be exploited by malicious people to compromise a vulnerable system. Input passed via the "FTP-Server" field when editing FTP options is not properly sanitised in lib/Simploo/Config/Writer/Ini.php before being saved to the config/custom/base.ini.php file. This can be exploited to inject and execute arbitrary PHP code via a specially crafted parameter value. Successful exploitation requires "write" privileges. Solution ============= Edit the source code to ensure that input is properly sanitised. Timeline ================ 2010-07-16, vulnerability identified 2010-07-17, vendor contacted and asked for pgp key 2010-07-19, vendor sent his pgp key 2010-07-20, vulnerability sent to vendor 2011-01-18, advisory published after 6 month Use of terms ================ Unaltered electronic reproduction of this advisory is permitted. For all other reproduction or publication, in printing or otherwise, contact us for permission. Use of the advisory constitutes acceptance for use in an "as is" condition. All warranties are excluded. In no event shall MajorSecurity be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if MajorSecurity has been advised of the possibility of such damages.